A "session" is an advice session — created for an investor by an advisor, then read/updated as the advice flow progresses.
https://api.test.deepalpha.devapplication/json unless noted.Examples use these placeholders / sample IDs taken from a real flow:
| Placeholder | Example value |
|---|---|
$TOKEN |
bearer access token |
session_id / advice_id |
9e93cb47-dec5-4f7b-ae65-53eac0d19909 |
investor_id |
d66fa907-21f9-481e-bef0-e57564847b86 |
advisor_id |
634d5c99-11e3-4a38-8cf9-aa5a24ce7647 |
goal_id |
c31a970f-c4ad-4741-8efa-a0aab87dd5a3 |
POST /v1/state_sessionCreates a new advice session for an existing investor.
curl -X POST <https://api.test.deepalpha.dev/v1/state_session> \\\\
-H "Authorization: Bearer $TOKEN" \\\\
-H "Content-Type: application/json" \\\\
-d '{
"advisor_id": "634d5c99-11e3-4a38-8cf9-aa5a24ce7647",
"investor_id": "d66fa907-21f9-481e-bef0-e57564847b86",
"name": "Session for Erik Larsen @ 2026-05-19T09:17:21.549Z",
"advice_type": "MiFIID II investment Advice"
}'
{
"advice_type": "MiFIID II investment Advice",
"advisor": {
"advisorId": "634d5c99-11e3-4a38-8cf9-aa5a24ce7647",
"email": "[email protected]",
"name": "Bob Bergström"
},
"channel": "Advisory channel",
"created_date": "2026-05-19 09:17:22",
"external_status": null,
"investor_id": "d66fa907-21f9-481e-bef0-e57564847b86",
"last_activity_date": "2026-05-19T09:17:22Z",
"links": {
"web": "<https://test.deepalpha.dev/robo-advice/person/d66fa907-21f9-481e-bef0-e57564847b86/9e93cb47-dec5-4f7b-ae65-53eac0d19909/advice-information>"
},
"name": "Session for Erik Larsen @ 2026-05-19T09:17:21.549Z",
"session_id": "9e93cb47-dec5-4f7b-ae65-53eac0d19909",
"signed": null,
"status": "open",
"survey_status": null,
"survey_status_message": null
}
GET /v1/sessionList sessions. All query parameters are optional filters.
| Param | Description |
|---|---|
status |
open |
investor_id, advisor_id |
filter by participant |
created_at_from / created_at_to |
ISO timestamps |
updated_at_from / updated_at_to |
ISO timestamps |
completed_at_from / completed_at_to |
ISO timestamps |
page, per_page |
pagination |
curl -G <https://api.test.deepalpha.dev/v1/session> \\\\
-H "Authorization: Bearer $TOKEN" \\\\
--data-urlencode "status=open" \\\\
--data-urlencode "advisor_id=634d5c99-11e3-4a38-8cf9-aa5a24ce7647" \\\\
--data-urlencode "per_page=20"
{
"sessions": [
{
"session_id": "9e93cb47-dec5-4f7b-ae65-53eac0d19909",
"name": "Session for Erik Larsen @ 2026-05-19T09:17:21.549Z",
"status": "open",
"investor_id": "d66fa907-21f9-481e-bef0-e57564847b86",
"advisor_id": "634d5c99-11e3-4a38-8cf9-aa5a24ce7647",
"created_date": "2026-05-19 09:17:22"
}
],
"page": 1,
"per_page": 20
}